## This program is free software; you can redistribute it and/or modify it under
## the terms of the GNU General Public License as published by the Free Software
## Foundation; either version 3 of the License, or (at your option) any later
## version.
##
## This program is distributed in the hope that it will be useful, but WITHOUT
## ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
## FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
## details.
##
## You should have received a copy of the GNU General Public License along with
## this program; if not, see <http://www.gnu.org/licenses/>.
##
## Tzvetomir Tzvetanov, 2023/03/09
##

% make main analysis with observed power and effect sizes for manuscript

clear all;

pkg load io statistics;

load localglobal_hjf_exp5_data_analysis_onlyRTs.mat;
exp5RTs = exp5;
load localglobal_hjf_exp5_data_analysis.mat;

fl = exp5.Flank_or;

% EXP5 partial etasquare, ncp, power
exp5.aov = rmfield(exp5.aov, {'bias','threshold'});

fprintf('   ---> Biases\n')
exp5.aov.bias = nANOVA_WS(exp5.Biases,'yes');
EffectsizePrintOut( exp5.aov.bias, exp5.Biases, true );

fprintf('\n\n***************************\n   ---> Thresholds\n')
exp5.aov.threshold = nANOVA_WS((exp5.Thresholds),'yes');
EffectsizePrintOut( (exp5.aov.threshold), (exp5.Thresholds), true );

load localglobal_hjf_exp5_data_analysis_onlyRTs.mat;
fprintf('\n\n***************************\n   ---> RTs\n')
rr = exp5RTs.rt_4thr_mean;
rr = rr - exp5RTs.rtblockmean + repmat(mean(mean(rr,1),2),[8,12,1]); % last term puts back subject global mean
exp5RTs.aov.rts = nANOVA_WS(rr,'yes'); % 100* for having numbers, not 0's, in the output table for SS's and MS's
efsz = EffectsizePrintOut( exp5RTs.aov.rts, rr, true );

